Subject: [Taps] IMPORTANT IETF pre-work

From: "Aaron Falk" <[email-masked]>
Date: Wed, 22 Mar 2017 15:00:53 -0400

While [the mindset 
doc](https://www.ietf.org/internet-drafts/draft-gjessing-taps-minset-04.txt) 
isn’t final (there are a few TBDs), it is mostly complete. As it is 
one of our deliverables it needs a thorough review.  Please come to the 
wg meeting prepared to discuss whether you think the document is ready 
for wg last call and, if not, what your concerns are.

Thanks,

—aaron

On 21 Mar 2017, at 3:23, Michael Welzl wrote:

> Hi everyone,
>
> With one week having passed since this posting, and one week to go 
> until the meeting, I thought I'd send a reminder - folks, please 
> consider taking a look at this.
> For a fast way of reading this:
>
> - keep in mind that we removed all transport features that either 
> don't require application-specific knowledge (knowledge that only 
> applications have) or don't have a fall-back to TCP
> - start reading from section 4 !   This gives you about 13 pages to 
> read instead of the total 35'ish, and it contains all the ineresting 
> stuff. The pretty long section 3 can be used to go back and check, for 
> things that make you go "huh??".
>
> Thanks!
> Michael
>
>
>> On 13 Mar 2017, at 17:06, Michael Welzl <[email-masked]> wrote:
>>
>> Dear TAPS WG,
>>
>> This update addresses the feedback that we got at the last meeting: 
>> people said that this minset isn't much of a minset. ... that's 
>> because we had only worked on the first step: categorizing transport 
>> features such that the list can then be reduced.
>>
>> Now, in this update:
>> - we've brought the list in line with the latest version of the 
>> -usage draft (the list is a lot longer now, and includes what we 
>> think are *all* transport features of TCP, MPTCP, SCTP, UDP(-Lite) 
>> ... except for TCP Authentication. We'll fix this one in the next 
>> version.
>> - we then shortened the list brutally  :)   by only allowing 
>> "functional" and "optimizing" transport features, and also removing 
>> transport features for which it doesn't seem possible to fall back to 
>> TCP
>> - we then wrote text discussing the strange list that we got ... some 
>> weird things there need consideration when designing a TAPS system
>> - and then we made a first stab at constructing a "minimum set", 
>> derived from the above.
>>
>> I hope folks will find this interesting despite its length - it 
>> captures several things that I've had in mind for a while, and 
>> partially talked about to people, but never really wrote up anywhere. 
>> A lot of love has gone into this document  ;-)
>>
>> Cheers,
>> Michael
>>
>>
>>
>>> Begin forwarded message:
>>>
>>> From: <[email-masked]>
>>> Subject: New Version Notification for 
>>> draft-gjessing-taps-minset-04.txt
>>> Date: 13 Mar 2017 16:55:05 CET
>>> To: Michael Welzl <[email-masked]>, Stein Gjessing 
>>> <[email-masked]>
>>> Resent-From: <[email-masked]>
>>>
>>>
>>> A new version of I-D, draft-gjessing-taps-minset-04.txt
>>> has been successfully submitted by Michael Welzl and posted to the
>>> IETF repository.
>>>
>>> Name:		draft-gjessing-taps-minset
>>> Revision:	04
>>> Title:		A Minimal Set of Transport Services for TAPS Systems
>>> Document date:	2017-03-13
>>> Group:		Individual Submission
>>> Pages:		38
>>> URL:            
>>> https://www.ietf.org/internet-drafts/draft-gjessing-taps-minset-04.txt
>>> Status:         
>>> https://datatracker.ietf.org/doc/draft-gjessing-taps-minset/
>>> Htmlized:       
>>> https://tools.ietf.org/html/draft-gjessing-taps-minset-04
>>> Diff:           
>>> https://www.ietf.org/rfcdiff?url2=draft-gjessing-taps-minset-04
>>>
>>> Abstract:
>>>  This draft recommends a minimal set of IETF Transport Services
>>>  offered by end systems supporting TAPS, and gives guidance on
>>>  choosing among the available mechanisms and protocols.  It is based
>>>  on the set of transport features given in the TAPS document
>>>  draft-ietf-taps-transports-usage-03.
>>>
>>>
>>>
>>>
>>> Please note that it may take a couple of minutes from the time of 
>>> submission
>>> until the htmlized version and diff are available at tools.ietf.org.
>>>
>>> The IETF Secretariat
>>>
>>
>> _______________________________________________
>> Taps mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/taps

---

From: "Aaron Falk" <[email-masked]>
Date: Wed, 22 Mar 2017 17:01:49 -0400

Clarification: the request is to consider the minset (not mindset, 
thanks spellcheck) doc for **adoption**, not last call.  Please try to 
look at it in advance.

—aaron (who’s having trouble with email today)

On 22 Mar 2017, at 15:00, Aaron Falk wrote:

> one of our deliverables it needs a thorough review.  Please come to 
> the wg meeting prepared to discuss whether you think the document is 
> ready for wg last call and, if not, what your concerns are.
>
> Thanks,
>
> —aaron
>
>> stuff. The pretty long section 3 can be used to go back and check, 
>> for things that make you go "huh??".
>>
>> Thanks!
>> Michael
>>
>>
>>> transport features for which it doesn't seem possible to fall back 
>>> to TCP
>>> - we then wrote text discussing the strange list that we got ... 
>>> some weird things there need consideration when designing a TAPS 
>>> system
>>> partially talked about to people, but never really wrote up 
>>> anywhere. A lot of love has gone into this document  ;-)
>>>
>>> Cheers,
>>> Michael
>>>
>>>
>>>
>>>> Begin forwarded message:
>>>>